%define upstream_name    Module-Package-Ingy
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Ingy's Module::Package Plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(IO::All) >= 0.440.0
BuildRequires: perl(Module::Install::AckXXX) >= 0.180.0
BuildRequires: perl(Module::Install::AutoLicense) >= 0.80.0
BuildRequires: perl(Module::Install::GithubMeta) >= 0.160.0
BuildRequires: perl(Module::Install::ReadmeFromPod) >= 0.120.0
BuildRequires: perl(Module::Install::RequiresList) >= 0.100.0
BuildRequires: perl(Module::Install::Stardoc) >= 0.180.0
BuildRequires: perl(Module::Install::TestBase)
BuildRequires: perl(Module::Install::TestCommon) >= 0.70.0
BuildRequires: perl(Module::Install::TestML) >= 0.260.0
BuildRequires: perl(Module::Install::VersionCheck) >= 0.160.0
BuildRequires: perl(Module::Package) >= 0.300.0
BuildRequires: perl(Pegex) >= 0.190.0
BuildRequires: perl(Pegex::Grammar)
BuildRequires: perl(Pegex::Mo)
BuildRequires: perl(Pegex::Parser)
BuildRequires: perl(Pegex::Receiver)
BuildRequires: perl(Spiffy)
BuildRequires: perl(Test::Base) >= 0.600.0
BuildRequires: perl(Test::Base::Filter)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More)
BuildRequires: perl(TestML) >= 0.260.0
BuildRequires: perl(YAML::XS) >= 0.370.0
BuildArch:  noarch

%description
This module defines the standard configurations for Module::Package based
Makefile.PLs, used by Ingy döt Net. You don't have to be Ingy to use it.
If you write a lot of CPAN modules, you might want to copy or subclass it
under a name matching your own CPAN id.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 513086
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 369932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 shlomif <shlomif> 0.200.0-1.mga3
+ Revision: 275517
- update to 0.20

* Tue Jul 03 2012 shlomif <shlomif> 0.190.0-1.mga3
+ Revision: 267090
- New version 0.19
- New version 0.19

* Mon Jan 30 2012 shlomif <shlomif> 0.180.0-1.mga2
+ Revision: 203532
- imported package perl-Module-Package-Ingy


* Mon Jan 30 2012 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
